Merge branch 'stable-3.1'

* stable-3.1:
  Bump Bazel version to 2.2.0
  Bump required Bazel version to 2.1.0
  Upgrade bazlets to latest stable-2.16 to build with 2.16.16 API
  Documentation: Add missing footer that links to plugin index page
  Documentation: Refactor to match other plugin documentation
  Add an empty tools/BUILD file explicitly for Bazel
  Upgrade bazlets to latest stable-2.16
  Upgrade bazlets to latest stable-2.16
  Upgrade bazlets to latest stable-2.15
  Upgrade bazlets to latest stable-2.14

Change-Id: I436825569e983e06b338030d135e99393925f829
tree: 8ab5c8113fab1c971fb37c22d51d0877d8850883
  1. .gitignore
  2. .settings/
  3. BUILD
  4. LICENSE
  5. src/